View Issue Details

IDProjectCategoryView StatusLast Update
0016486MediaMonkey 5Playlistspublic2020-05-13 15:00
Reporterrusty 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0016486: Copy Playlists usecases don't work
DescriptionIf the user attempts to Copy Playlists, it fails in certain circumstances:

1) Drag a playlist to a node in the tree fails:
1 In the tree, select Playlist A
2 Drag Playlist A to Playlist B while pressing SHIFT
--> Drop copy icon appears, but the playlist is actually moved!

2) It doesn't seem possible to Copy/Paste a playlist to or from the main tracklist window.
a) Right-click on a Playlist in the tree to Copy it and then attempt to Paste it into a Playlist in the Tracklist fails! There doesn't seem to be any location in which the 'Paste' command works.
b) Right-click on a Playlist node in the Tracklist and Copy it, and then attempt to Paste it into the tree fails! It seems that Copying a Playlist node doesn't work.
TagsNo tags attached.
Fixed in build2247

Relationships

related to 0013853 closedLudek Can't copy an auto-playlist 

Activities

Ludek

2020-04-04 13:46

developer   ~0057484

Last edited: 2020-04-04 14:27

View 2 revisions

1/2a) are fixed in 2239
2b) not reproduced here, but might be related to fix of 2a) -- so let's re-test in 2239

rusty

2020-04-07 16:53

administrator   ~0057517

Verified all issues in 2239, however, one of the fixes is incomplete.
For case 2b) if the user copies Playlist A which contains PlaylistA-1, and then pastes it, then only the parent is pasted.

Also, I'm not sure if this is the same issue or should be raised as a different issue:
3a) If the user right-clicks on a Music > Location > Folder node and attempts to Copy/Paste it onto another folder
--> MM prompts to move it.
3b) If the user attempts to SHIFT drag a Music > Location > Folder in the tree
--> MM prompts to move it.

Ludek

2020-05-06 12:41

developer   ~0057874

Last edited: 2020-05-06 15:58

View 4 revisions

2b, 3a) fixed in 2247 (together with further bugs that I have found during testing)

3b) shift + drag does move (same as in MM4), this sounds like your test error and you actually wanted to use CTRL + drag ?
Ctrl + drag prompts for copy (as expected)

rusty

2020-05-13 15:00

administrator   ~0057986

Verified all cases in 2247 (and yes--for 3b) I actually meant CTRL drag).

Closing.